--
-- Parsing and color definitions for WhatGives
-- Feel free to modify/change these to your liking.
--

-- Upvalues
local _L = WhatGives.Text
local _C = WhatGives.Constants

      --FUNC = function(line)
      --   return strmatch(strmatch(x, "[%a%s]+[^%a%s]+$"), "[%a%s]+")
      --end


-- Format:
--
-- KEY = {
--   RGB   = {r=1.0, g=0.82, b=0.0},
--   HEX   = "|cffffd200",
--   DESC  = "Stat source description, e.g. 'Socket Bonus'",
--   MATCH = (Optional string to match a line for this stat source)
-- }
--
-- Uses WoW global constants for free localization where possible.
WhatGives.ParseRules = {
   [_C.BASE] = {
      RGB   = RED_FONT_COLOR,
      HEX   = RED_FONT_COLOR_CODE,
      DESC  = PLAYERSTAT_BASE_STATS,
   },
   -- How to get enchants?  Go through all the +X stats, and remove
   -- those that are base and reforge stats?  Seems like the only way.
   [_C.ENCHANT] = {
      RGB   = LIGHTYELLOW_FONT_COLOR,
      HEX   = LIGHTYELLOW_FONT_COLOR_CODE,
      DESC  = ENCHANTS,
   },
   [_C.GEM] = {
      RGB   = YELLOW_FONT_COLOR,
      HEX   = YELLOW_FONT_COLOR_CODE,
      DESC  = _L["Gems"],
   },
   [_C.REFORGE] = {
      RGB   = GREEN_FONT_COLOR,
      HEX   = GREEN_FONT_COLOR_CODE,
      DESC  = REFORGE,
      MATCH = REFORGED,
   },
   [_C.SET] = {
      RGB   = LIGHTYELLOW_FONT_COLOR,
      HEX   = LIGHTYELLOW_FONT_COLOR_CODE,
      DESC  = _L["Set Bonus"],
      MATCH = ITEM_SET_BONUS,
   },
   [_C.SOCKET] = {
      RGB   = ORANGE_FONT_COLOR,
      HEX   = ORANGE_FONT_COLOR_CODE,
      DESC  = _L["Socket Bonus"],
      MATCH = ITEM_SOCKET_BONUS,
   },
}
